﻿<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net7.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
    </PropertyGroup>

    <ItemGroup>
      <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="7.0.0" />
      <PackageReference Include="Microsoft.Extensions.DependencyInjection.Abstractions" Version="7.0.0" />
      <PackageReference Include="Quartz" Version="3.8.0" />
      <PackageReference Include="Quartz.AspNetCore" Version="3.8.0" />
      <PackageReference Include="Quartz.Extensions.DependencyInjection" Version="3.8.0" />
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\CodereMovies.Extensions\CodereMovies.Extensions.csproj" />
      <ProjectReference Include="..\CodereMovies.Infraestructure\CodereMovies.Infraestructure.csproj" />
      <ProjectReference Include="..\CodereMovies.ScheduledJobsAbstractions\CodereMovies.ScheduledJobsAbstractions.csproj" />
    </ItemGroup>

</Project>
